[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# SeekDir

Seek to position in directory

## Declaration

Source position: unix.pp line 100

`procedure SeekDir(`
`p: pDir;`
`loc: clong`
`);`

## Description

SeekDir sets the directory pointer to the loc-th entry in the directory structure pointed to by p.

For an example, see #rtl.baseunix.fpOpenDir.

## Errors

Extended error information is returned by the FpGetErrno function:

## See also

#rtl.baseunix.fpCloseDir |  | Close directory file descriptor
#rtl.baseunix.fpReadDir |  | Read entry from directory
#rtl.baseunix.fpOpenDir |  | Open a directory for reading
TellDir |  | Return current location in a directory